package com.ynet.life.security.crypto;

import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_ynet_life_security_crypto.jar:com/ynet/life/security/crypto/DESUtil.class */
public class DESUtil {
    private static final String SQL_SECRET_KEY = "SELECT KEY_VALUE FROM SECRET_KEY WHERE KEY_TYPE = ?";

    /* JADX WARN: Type inference failed for: r0v4, types: [java.lang.String, java.lang.Exception] */
    public static String getDecryptStr(String value, String keyType) throws GENEException {
        ?? decrypt;
        try {
            decrypt = decrypt(getKey(keyType), value);
            return decrypt;
        } catch (Exception e) {
            decrypt.printStackTrace();
            return value;
        }
    }

    public static String encrypt(String key, String clearText) {
        if (key == null || clearText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        byte[] b = key.getBytes();
        byte[] byte2 = new byte[3000];
        byte[] byte1 = clearText.getBytes();
        int i1 = m.ENCRYPT(b, byte1, byte2, byte1.length);
        String digestHexStr = "";
        for (int i = 0; i < i1; i++) {
            digestHexStr = String.valueOf(digestHexStr) + DESEntry.byteHEX(byte2[i]);
        }
        return digestHexStr;
    }

    public static String encrypt(String key, byte[] clearText) {
        if (key == null || clearText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        byte[] b = DESEntry.hexStr2ByteArr(key);
        byte[] byte2 = new byte[3000];
        int i1 = m.ENCRYPT(b, clearText, byte2, clearText.length);
        String digestHexStr = "";
        for (int i = 0; i < i1; i++) {
            digestHexStr = String.valueOf(digestHexStr) + DESEntry.byteHEX(byte2[i]);
        }
        return digestHexStr;
    }

    public static byte[] getEncryptByte(String key, byte[] srcByte) {
        byte[] byte2 = new byte[3000];
        int i = new DESEntry().ENCRYPT(DESEntry.hexStr2ByteArr(key), srcByte, byte2, srcByte.length);
        byte[] destByte = new byte[i];
        for (int j = 0; j < i; j++) {
            destByte[j] = byte2[j];
        }
        return destByte;
    }

    public static String decrypt(String key, String cipherText) {
        if (key == null || cipherText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        byte[] b = DESEntry.hexStr2ByteArr(key);
        byte[] byteMiW = DESEntry.hexStr2ByteArr(cipherText);
        byte[] byteMingW = new byte[3000];
        int i = m.DECRYPT(b, byteMingW, byteMiW, byteMiW.length);
        return new String(byteMingW, 0, i);
    }

    public static String decryptKey(String key, String keyText) {
        if (key == null || keyText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        String digestHexStr = "";
        byte[] b = DESEntry.hexStr2ByteArr(key);
        byte[] byteMiW = DESEntry.hexStr2ByteArr(keyText);
        byte[] byteMingW = new byte[3000];
        int i2 = m.DECRYPT(b, byteMingW, byteMiW, byteMiW.length);
        for (int i = 0; i < i2; i++) {
            digestHexStr = String.valueOf(digestHexStr) + DESEntry.byteHEX(byteMingW[i]);
        }
        if (digestHexStr.length() > 16) {
            digestHexStr = digestHexStr.substring(0, 15);
        }
        return digestHexStr;
    }

    public static String decrypt(String key, byte[] cipherText) {
        if (key == null || cipherText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        byte[] b = DESEntry.hexStr2ByteArr(key);
        byte[] byteMingW = new byte[3000];
        int i = m.DECRYPT(b, byteMingW, cipherText, cipherText.length);
        return new String(byteMingW, 0, i);
    }

    public static String getKey(String keyType) throws GENEException {
        Exception exc = null;
        Connection connection = null;
        try {
            try {
                connection = LifeDBAccess.getConnection();
                List inputList = new ArrayList();
                new ArrayList();
                inputList.add(keyType);
                List resultList = LifeDBAccess.queryMultipleResult(connection, SQL_SECRET_KEY, inputList, 1);
                if (resultList.size() <= 0) {
                    LifeDBAccess.releaseConnection(connection);
                    return null;
                }
                String str = (String) ((List) resultList.get(0)).get(0);
                LifeDBAccess.releaseConnection(connection);
                return str;
            } catch (Exception e) {
                exc.printStackTrace();
                LifeDBAccess.releaseConnection(connection);
                return null;
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(connection);
            throw th;
        }
    }

    public static void main(String[] args) {
        byte[] test = DESEntry.hexStr2ByteArr(encrypt("A6F84A76", "111111"));
        System.out.print(DESEntry.bytesToHexString(test));
    }
}
